Bug 99268 - tape drive not recognized when USB CDROM is plugged in at boot
Summary: tape drive not recognized when USB CDROM is plugged in at boot
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-16 20:03 UTC by nora
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 19:34:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nora 2003-07-16 20:03:54 UTC
Description of problem:

I have a VXA-2 Exabyte Tape drive and a Iomega USB CDROM drive.  The SCSI card 
is Adaptec.  The tape drive is internal and thus always connected to the SCSI 
card.  If I boot with the CDROM plugged in then /proc/scsi/scsi has only the 
CDROM and no tape drive even though the tape was detected on boot.  If I do an 
mt -f /dev/st0 status then the tape drive is not recognized (no such device).  
I issued the scsi add-single-device command but the /proc/scsi/scsi file was 
unchanged.  I issued the scsi remove-single-device command and the CDROM was 
removed, but I still had no luck with the add-single-device for the tape drive.

If, however, I boot with the CDROM unplugged, then the /proc/scsi/scsi file 
comes up empty.  If I issue the mt status command right away then the tape 
drive is enabled, associated with /dev/st0 and added to the /proc/scsi/scsi 
file.  I can even plug in the CDROM drive after that and it too will be enabled 
and added to the /proc/scsi/scsi file.  If I do things in this specific order 
then I can have both devices.

Version-Release number of selected component (if applicable):


How reproducible:

100% reproducible

Steps to Reproduce:
1. plug in CDROM
2. boot
3. cat /proc/scsi/scsi and note CDROM only
4. mt -f /dev/st0 status and get error
5. echo 'scsi add-single-device 0 0 11 0'>/proc/scsi/scsi and notice that the 
drive is not added
6. unplugg CDROM and reboot
7. cat /proc/scsi/scsi and not that the file does not exist
8. issue mt -f /dev/st0 and note the enabling messages and the association of 
the drive to /dev/st0.
9. cat /proc/scsi/scsi and the tape drive is there
10. plug in the CDROM and watch it enable
11. cat /proc/scsi/scsi and not that both the tape drive and CDROM are there
    
Actual results:

Tape drive is not recognized when system is booted with USM CDROM plugged in

Expected results:

Boot should recognize both the CDROM and the tape drive

Additional info:

Comment 1 Daniel Walsh 2003-07-29 18:23:37 UTC
Accidently assigned to redhat-config-services.

Comment 2 Pete Zaitcev 2003-07-29 20:18:55 UTC
What's the /proc/version for the kernel under test?


Comment 3 nora 2003-07-29 20:38:40 UTC
2.4.18-14

Comment 4 Pete Zaitcev 2003-11-06 23:27:13 UTC
Please add the modprobe for the host adapter into /etc/rc.modules.
Sometimes hotplug won't lift scsi HBAs, and I don't remember how RHL 8
handled it. Let me know if that resolves the problem.


Comment 5 Dave Jones 2004-01-05 19:34:23 UTC
EOL'd.



Note You need to log in before you can comment on or make changes to this bug.